Virtual machines
List virtual machine containers
Returns active containers for the virtual machine selected by the id path parameter
GET
/
api
/
v1
/
tenant
/
virtual-machines
/
{id}
/
containers
List virtual machine containers
curl --request GET \
--url https://api.costgraph.ai/api/v1/tenant/virtual-machines/{id}/containers \
--header 'Authorization: <api-key>' \
--header 'X-CostGraph-Tenant-ID: <x-costgraph-tenant-id>'import requests
url = "https://api.costgraph.ai/api/v1/tenant/virtual-machines/{id}/containers"
headers = {
"X-CostGraph-Tenant-ID": "<x-costgraph-tenant-id>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-CostGraph-Tenant-ID': '<x-costgraph-tenant-id>', Authorization: '<api-key>'}
};
fetch('https://api.costgraph.ai/api/v1/tenant/virtual-machines/{id}/containers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "some message",
"status": "success",
"data": {
"cpu_usage_status": "ok",
"items": [
{
"container_id": "<string>",
"created_at": "<string>",
"image": "<string>",
"name": "<string>",
"restarts": 123,
"runtime_name": "unknown",
"state": "created",
"status": "created",
"uptime_seconds": 123,
"cpu_usage_cores": 123,
"memory_usage_bytes": 123
}
],
"limit": 123,
"memory_usage_status": "ok",
"offset": 123,
"total_count": 123
}
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}{
"message": "some message",
"status": "error"
}Authorizations
Enter "Bearer {token}"
Headers
Tenant ID
Path Parameters
Virtual machine ID
Query Parameters
Filter by container name or ID (substring match, case-insensitive)
Number of rows to return (default 50, max 200). Ignored when search is provided
Rows to skip before returning results (default 0). Ignored when search is provided
Was this page helpful?
⌘I
List virtual machine containers
